// Steve Quinn 01/01/17
//
// Copyright 2017 Steve Quinn
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//
// Compiled using Arduino 1.6.9 
//
// Used to test Tiny85_I2C_Slave_PWM_n.ino code on an Arduino Uno R3
//
// Sends fixed values ranging from 0 ... 255 to I2C slave PWM device every 15 seconds. Then repeats.
//
//

#include <Wire.h>

#define SLAVE_ADDR  0x08         // Change this to the Addr of your device

#define __FILENAME__ (strrchr(__FILE__, '\\') ? strrchr(__FILE__, '\\') + 1 : __FILE__)

void setup()
{
  Wire.begin();
  Serial.begin(115200);
  Serial.println(__FILENAME__);
  Serial.println("Serial Port Ready");
}


void loop()
{
  byte error;
  byte x = 0;

  x = 255;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 255;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 255;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 128;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 255;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 128;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 64;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 64;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 128;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 192;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 255;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 64;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 128;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 192;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 255;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(5000);           // wait 5 seconds

  x = 0;
  Wire.beginTransmission(SLAVE_ADDR); 
  Wire.write((byte)x);
  error = Wire.endTransmission();
  Serial.println(x);
  delay(15000);           // wait 5 seconds
}

